## PothosCore-0.7.0.tar.gz

=== apps/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_LIBRARY_APPS "Enable Pothos Library.Apps component" ON "ENABLE_LIBRARY" OFF)
add_feature_info("  Apps" ENABLE_LIBRARY_APPS "Utility application for Pothos library")
if (NOT ENABLE_LIBRARY_APPS)
    return()
endif()

########################################################################
# Local includes
########################################################################
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${Pothos_INCLUDE_DIRS})
include_directories(${JSON_HPP_INCLUDE_DIR})

########################################################################
# apps
########################################################################
list(APPEND SOURCES
    PothosUtil.cpp
    PothosUtilSystemInfo.cpp
    PothosUtilModuleInfo.cpp
    PothosUtilSelfTests.cpp
    PothosUtilPluginTree.cpp
    PothosUtilDeviceInfo.cpp
    PothosUtilProxyServer.cpp
    PothosUtilLoadModule.cpp
    PothosUtilDocParse.cpp
    PothosUtilRunTopology.cpp
    PothosUtilListModules.cpp
)
add_executable(PothosUtil ${SOURCES})
target_link_libraries(PothosUtil Pothos ${Pothos_LIBRARIES})
install(TARGETS PothosUtil
    RUNTIME DESTINATION bin COMPONENT pothos_runtime
)

=== docs/CMakeLists.txt ===
########################################################################
# Optional doxygen generation
########################################################################
find_package(Doxygen)

if (DOXYGEN_DOT_FOUND)
    set(HAVE_DOT YES)
else()
    set(HAVE_DOT NO)
endif()

########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_LIBRARY_DOCS "Enable Pothos Library.Docs component" ON "ENABLE_LIBRARY;DOXYGEN_FOUND" OFF)
add_feature_info("  Docs" ENABLE_LIBRARY_DOCS "Doxygen generated docs for Pothos library")
if (NOT ENABLE_LIBRARY_DOCS)
    return()
endif()

#header sources used in the generate rule
file(GLOB_RECURSE POTHOS_INCLUDES ${PROJECT_SOURCE_DIR}/include/*.hpp)

#formated list of sources to parse
string(REPLACE ";" " " DOXYGEN_SOURCES "${POTHOS_INCLUDES}")

#Configure doxygen config file
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
@ONLY)

#Create doxygen generation build rules
if (DOXYGEN_FOUND)
    set(CMAKE_CURRENT_BINARY_DIR_DOXYGEN ${CMAKE_CURRENT_BINARY_DIR}/html)
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR_DOXYGEN}
        DEPENDS ${POTHOS_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        COMMENT "Generating documentation with doxygen"
    )
    add_custom_target(docs ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR_DOXYGEN})
endif()

=== include/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_LIBRARY_INCLUDE "Enable Pothos Library.Include component" ON "ENABLE_LIBRARY" OFF)
add_feature_info("  Include" ENABLE_LIBRARY_INCLUDE "Public C++ headers for Pothos library")
if (NOT ENABLE_LIBRARY_INCLUDE)
    return()
endif()

########################################################################
# install include files
########################################################################
install(
    DIRECTORY Pothos
    DESTINATION include
    COMPONENT pothos_devel
)

=== cmake/Modules/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_LIBRARY_CMAKE "Enable Pothos Library.CMake component" ON "ENABLE_LIBRARY" OFF)
add_feature_info("  CMake" ENABLE_LIBRARY_CMAKE "CMake project utilities for Pothos library")
if (NOT ENABLE_LIBRARY_CMAKE)
    return()
endif()

########################################################################
# Install cmake helper modules
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/PothosConfigVersion.in.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/PothosConfigVersion.cmake
@ONLY)

install(
    FILES
        PothosConfig.cmake
        PothosStandardFlags.cmake
        PothosLibraryConfig.cmake
        PothosUtil.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/PothosConfigVersion.cmake
        #poco support
        FindPkgMacros.cmake
        FindPoco.cmake
        SetupPoco.cmake
    DESTINATION ${POTHOS_CMAKE_DIRECTORY}
    COMPONENT pothos_devel
)

=== debian/changelog ===
pothos (0.7.0-1) unstable; urgency=low

  * Release 0.7.0 (2020-07-19)

 -- Josh Blum <josh@pothosware.com>  Sun, 19 Jul 2020 22:24:38 -0000

pothos (0.6.1-1) unstable; urgency=low

  * Release 0.6.1 (2018-04-30)

 -- Josh Blum <josh@pothosware.com>  Mon, 30 Apr 2018 19:41:37 -0000

pothos (0.6.0-1) unstable; urgency=low

  * Release 0.6.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:35:00 -0000

pothos (0.5.1-1) unstable; urgency=low

  * Release 0.5.1 (2017-08-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Aug 2017 21:41:56 -0000

pothos (0.5.0-1) unstable; urgency=low

  * Release 0.5.0 (2017-04-27)

 -- Josh Blum <josh@pothosware.com>  Thu, 27 Apr 2017 17:33:56 -0000

pothos (0.4.3-1) unstable; urgency=low

  * Release 0.4.3 (2017-04-23)

 -- Josh Blum <josh@pothosware.com>  Sun, 23 Apr 2017 21:12:52 -0000

pothos (0.4.2-1) unstable; urgency=low

  * Release 0.4.2 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 22:30:51 -0800

pothos (0.4.1-ppa1) unstable; urgency=low

  * Release 0.4.1 (2016-09-26)

 -- Josh Blum <josh@pothosware.com>  Mon, 26 Sep 2016 10:56:23 -0700

pothos (0.4.0) unstable; urgency=low

  * Release 0.4.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:42:10 -0700

pothos (0.3.3) unstable; urgency=low

  * Release 0.3.3 (2016-05-10)

 -- Josh Blum <josh@pothosware.com>  Tue, 10 May 2016 16:34:00 -0700

pothos (0.3.2) unstable; urgency=low

  * Release 0.3.2 (2016-03-06)

 -- Josh Blum <josh@pothosware.com>  Sun, 06 Mar 2016 12:16:33 -0800

pothos (0.3.1) unstable; urgency=low

  * Release 0.3.1 (2016-01-01)

 -- Josh Blum <josh@pothosware.com>  Fri, 01 Jan 2016 15:14:41 -0800

pothos (0.3.0) unstable; urgency=low

  * Release 0.3.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 19:45:48 -0800

pothos (0.2.2) unstable; urgency=low

  * Release 0.2.2 (2015-12-07)

 -- Josh Blum <josh@pothosware.com>  Mon, 07 Dec 2015 12:07:12 -0800

pothos (0.2.1) unstable; urgency=low

  * Release 0.2.1 (2015-08-26)

 -- Josh Blum <josh@pothosware.com>  Wed, 26 Aug 2015 16:20:52 -0700

pothos (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2015-06-17)

 -- Josh Blum <josh@pothosware.com>  Wed, 17 Jun 2015 00:09:56 -0400

=== debian/control ===
Source: pothos
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    libmuparserx-dev,
    nlohmann-json-dev,
    libnuma-dev [amd64 i386]
Standards-Version: 4.1.4
Homepage: https://github.com/pothosware/PothosCore/wiki
Vcs-Git: https://github.com/pothosware/PothosCore.git
Vcs-Browser: https://github.com/pothosware/PothosCore

Package: pothos-util
Section: science
Architecture: any
Depends: libpothos0.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: runtime application
 The Pothos data-flow software suite.

Package: libpothos0.7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library
 The Pothos data-flow software suite.

Package: libpothos-dev
Section: libdevel
Architecture: any
Depends: libpothos0.7 (= ${binary:Version}), ${misc:Depends}, pothos-util
Description: development files
 The Pothos data-flow software suite.

Package: pothos-all
Section: libs
Architecture: all
Depends:
    pothos-util,
    pothos-flow,
    pothos-modules-audio,
    pothos-modules-blocks,
    pothos-modules-comms,
    pothos-modules-plotters,
    pothos-modules-widgets,
    pothos-modules-soapy,
    ${misc:Depends}
Description: Meta package for all official toolkits
 This is a metapackage for the most common Pothos toolkits.
